Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Interface DomainObjectSet<T>

Type Parameters:
  `T` - The type of domain objects in this set.

All Superinterfaces:
  Collection<T>, DomainObjectCollection<T>, Iterable<T>, Set<T>

All Known Subinterfaces:
  DependencySet, PluginCollection<T>, PluginContainer, PublishArtifactSet

    public interface DomainObjectSet<T>

extends DomainObjectCollection<T>, Set<T>

A `DomainObjectSet` is a specialisation of `DomainObjectCollection` that guarantees `Set` semantics.

Method Summary
`Set<T>` | `findAll(Closure spec)` Returns a collection which contains the objects in this collection which meet the given closure specification.
`DomainObjectSet<T>` | `matching(Closure spec)` Returns a collection which contains the objects in this collection which meet the given closure specification.
`DomainObjectSet<T>` | `matching(Spec<? super T> spec)` Returns a collection which contains the objects in this collection which meet the given specification.
`
`<S extends T> DomainObjectSet<S>`
` | `withType(Class<S> type)` Returns a collection containing the objects in this collection of the given type.

Methods inherited from interface org.gradle.api.DomainObjectCollection
`all, all, allObjects, allObjects, findAll, getAll, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### withType

    <S extends T> DomainObjectSet<S> withType(Class<S> type)

  Returns a collection containing the objects in this collection of the given type. The returned collection is live, so that when matching objects are later added to this collection, they are also visible in the filtered collection.

  Specified by:
    `withType` in interface `DomainObjectCollection<T>`
  Parameters:
    `type` - The type of objects to find.
  Returns:
    The matching objects. Returns an empty collection if there are no such objects in this collection.

### matching

    DomainObjectSet<T> matching(Spec<? super T> spec)

  Returns a collection which contains the objects in this collection which meet the given specification. The returned collection is live, so that when matching objects are added to this collection, they are also visible in the filtered collection.

  Specified by:
    `matching` in interface `DomainObjectCollection<T>`
  Parameters:
    `spec` - The specification to use.
  Returns:
    The collection of matching objects. Returns an empty collection if there are no such objects in this collection.

### matching

    DomainObjectSet<T> matching(Closure spec)

  Returns a collection which contains the objects in this collection which meet the given closure specification. The returned collection is live, so that when matching objects are added to this collection, they are also visible in the filtered collection.

  Specified by:
    `matching` in interface `DomainObjectCollection<T>`
  Parameters:
    `spec` - The specification to use. The closure gets a collection element as an argument.
  Returns:
    The collection of matching objects. Returns an empty collection if there are no such objects in this collection.

### findAll

    Set<T> findAll(Closure spec)

  Returns a collection which contains the objects in this collection which meet the given closure specification.

  Specified by:
    `findAll` in interface `DomainObjectCollection<T>`
  Parameters:
    `spec` - The specification to use. The closure gets a collection element as an argument.
  Returns:
    The collection of matching objects. Returns an empty collection if there are no such objects in this collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD